EBookBackendFactory
3
LIBEDATA-BOOK Library

# EBookBackendFactory

## Synopsis

                        EBookBackendFactory;
    const gchar *       e_book_backend_factory_get_protocol (EBookBackendFactory *factory);
    EBookBackend*       e_book_backend_factory_new_backend  (EBookBackendFactory *factory);
    #define             E_BOOK_BACKEND_FACTORY_SIMPLE       (p,t,f)

## Object Hierarchy

      GObject
       +----EBookBackendFactory

## Description

## Details

### EBookBackendFactory

    typedef struct _EBookBackendFactory EBookBackendFactory;

### e_book_backend_factory_get_protocol ()

    const gchar *       e_book_backend_factory_get_protocol (EBookBackendFactory *factory);

Gets the protocol that `factory` creates backends for.

`factory` :

  an EBookBackendFactory

Returns :

  A string representing a protocol.

### e_book_backend_factory_new_backend ()

    EBookBackend*       e_book_backend_factory_new_backend  (EBookBackendFactory *factory);

Creates a new EBookBackend with `factory`'s protocol.

`factory` :

  an EBookBackendFactory

Returns :

  A new EBookBackend.

### E_BOOK_BACKEND_FACTORY_SIMPLE()

    #define             E_BOOK_BACKEND_FACTORY_SIMPLE(p,t,f)

`p` :

`t` :

`f` :